[Microserivce] contrail-anasible-deployer should configure secondary interface and static route

Bug #1755633 reported by chhandak on 2018-03-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Won't Fix
Critical
Nitish Krishna Kaveri
R5.0
Won't Fix
Critical
Nitish Krishna Kaveri
Trunk
Won't Fix
Critical
Nitish Krishna Kaveri

Bug Description

Microservice based deployment expect the control_data network already configured on the server and reuses it. But all previous contrail deployment independently support the configuration of control data network.

This adds an unnecessary dependency on SM or other third party mechanisms for the complete end to end deployment in case of Greenfield.

Also with contrail fabric deployment, we need to configure all physical device vtep address as static route. We need an automated method for that.

Already underline setup scripts for both interface config and static route is present. We need to add corresponding ansible task in contrail-ansible-deployer

chhandak (chhandak) on 2018-03-14
Changed in juniperopenstack:
importance: Undecided → High
milestone: none → r5.0.0
information type: Proprietary → Public
Jeba Paulaiyan (jebap) on 2018-03-14
tags: added: ansible
Jeba Paulaiyan (jebap) on 2018-03-21
tags: added: sanityblocker
tags: added: blocker
removed: sanityblocker
Jeba Paulaiyan (jebap) on 2018-06-13
tags: added: beta-blocker
removed: blocker
Nitish Krishna Kaveri (nitishk) wrote :

Static Route Setup script fails in verify route:

[root@nk-vm1 ~]# python /root/staticroute_setup.py --device eth1 --network 5.1.2.0 --netmask 255.255.255.0 --gw 5.1.2.254
2018-06-14 14:26:28,447:: restart_service:INFO:: Restarting Network Services...
Restarting network (via systemctl): [ OK ]
Traceback (most recent call last):
  File "/root/staticroute_setup.py", line 221, in <module>
    main()
  File "/root/staticroute_setup.py", line 218, in main
    route.setup()
  File "/root/staticroute_setup.py", line 107, in setup
    self.post_config()
  File "/root/staticroute_setup.py", line 99, in post_config
    self.verify_route()
  File "/root/staticroute_setup.py", line 93, in verify_route
    raise RuntimeError('Seems Routes are not properly configured')
RuntimeError: Seems Routes are not properly configured

Without the verify_route function call the script works and I am able to see the static route created

Review in progress for https://review.opencontrail.org/43862
Submitter: Nitish Krishna Kaveri (<email address hidden>)

Review in progress for https://review.opencontrail.org/43968
Submitter: Nitish Krishna Kaveri (<email address hidden>)

Review in progress for https://review.opencontrail.org/43862
Submitter: Nitish Krishna Kaveri (<email address hidden>)

Review in progress for https://review.opencontrail.org/43968
Submitter: Nitish Krishna Kaveri (<email address hidden>)

Abhay Joshi (abhayj) wrote :
Download full text (20.7 KiB)

Marking as won't fix as there is no agreement on needing this functionality.
===================================================================================================

From: Michael Henkel <email address hidden>
Date: Wednesday, June 20, 2018 at 12:01 PM
To: Nitish Krishna Kaveri Poompatnam <email address hidden>
Cc: Abhay Joshi <email address hidden>, Jeba Paulaiyan <email address hidden>, Ramprakash Ram Mohan <email address hidden>, Alexey Morlang <email address hidden>, Ignatious Johnson <email address hidden>, Dheeraj Gautam <email address hidden>, Chhandak Mukherjee <email address hidden>, Senthilnathan Murugappan <email address hidden>, Sarin Kizhakkepurayil <email address hidden>, Alexandre Levine <email address hidden>, Andrey Pavlov <email address hidden>, Rudra Rugge <email address hidden>
Subject: Re: Support for adding static routes to hosts - LP 1755633

Hi Nitish,

The mail to Ram got stuck in my outbox:

“The provision_instances playbook was done out of convenience for very quick testing and mainly focused on public cloud instances where you usually don’t have more than one interface.
IF (and that’s a very BIG IF) we want to add interface management – then in that playbook. But I will not be in charge for it.”

Now, you are saying that provision_instances doesn’t deploy operating systems on BMS – correct – this has never been the scope. So, if you are talking in the context of BMS – how is the BMS being installed? Whatever does the operating system provisioning should also be in charge for managing the network interface configuration.
And no, I don’t want to take back the -2 as I don’t want that much Contrail deployment unrelated code in the contrail ansible deployer.

Regards,
Michael

From: Nitish Krishna Kaveri Poompatnam <email address hidden>
Date: Wednesday, June 20, 2018 at 8:54 PM
To: Michael Henkel <email address hidden>
Cc: Abhay Joshi <email address hidden>, Jeba Paulaiyan <email address hidden>, Ramprakash Ram Mohan <email address hidden>, Alexey Morlang <email address hidden>, Ignatious Johnson <email address hidden>, Dheeraj Gautam <email address hidden>, Chhandak Mukherjee <email address hidden>, Senthilnathan Murugappan <email address hidden>, Sarin Kizhakkepurayil <email address hidden>, Alexandre Levine <email address hidden>, Andrey Pavlov <email address hidden>, Rudra Rugge <email address hidden>
Subject: Re: Support for adding static routes to hosts - LP 1755633

Hi Michael,

Honestly, I am very confused. I do not know what was discussed between you and Ram.
By right place do you mean “configure_instances” play?
As Ram mentioned in previous mail, for BMS servers, we only call “configure_instances” play and not “provision_instances”
We need to manage these network interfaces according to request from Jeba.

Do you agree that the check-in made is correct? In which case please remove your -2 here:
https://review.opencontrail.org/#/c/43862/

If you feel this should go somewhere else, please tell me clearly where it should go or any other review comments as well.
I am going on PTO Friday onwards and want to finish this task and hand off before I go.
I would really appreciate your help to close on t...

Acc. to Michael, whoever is responsible for deploying the OS is also responsible for this. Will not be handled in Contrail Ansible Deployer code

Changed in juniperopenstack:
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers